# salt.states.sysrc

State to work with sysrc

salt.states.sysrc.absent(name, **kwargs)

  Ensure a sysrc variable is absent.

  name

    The variable name to set

  file

    (optional) The rc file to add the variable to.

  jail

    (option) the name or JID of the jail to set the value in.

salt.states.sysrc.managed(name, value, **kwargs)

  Ensure a sysrc variable is set to a specific value.

  name

    The variable name to set

  value

    Value to set the variable to

  file

    (optional) The rc file to add the variable to.

  jail

    (option) the name or JID of the jail to set the value in.

  Example:

      syslogd:
        sysrc.managed:
          - name: syslogd_flags
          - value: -ss